<?php

function parsaserver_getConfigArray() {
	$configarray = array(
	 "Username" => array( "Type" => "text", "Size" => "35", "Description" => "نام کاربری شما در سایت", ),
	 "Password" => array( "Type" => "password", "Size" => "20", "Description" => "رمز عبور شما در سایت", ),
	 "AdminContactID" => array( "Type" => "text", "Size" => "30", "Description" => "Admin Contact ID", ),
	 "TechnicalContactID" => array( "Type" => "text", "Size" => "30", "Description" => "Technical Contact ID", ),
	 "BillingContactID" => array( "Type" => "text", "Size" => "30", "Description" => "Billing Contact ID", ),
	);
	return $configarray;
}


function parsaserver_SaveNameservers($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
    $nameserver1 = $params["ns1"];
	$nameserver2 = $params["ns2"];
    $nameserver3 = $params["ns3"];
	$nameserver4 = $params["ns4"];
	# Put your code to save the nameservers here
	# If error, return the error message in the value below
	$values["error"] = $error;
	return $values;
}




function parsaserver_RegisterDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	$nameserver1 = $params["ns1"];
	$nameserver2 = $params["ns2"];
    $nameserver3 = $params["ns3"];
    $nameserver4 = $params["ns4"];
	# Registrant Details
	$RegistrantFirstName = $params["firstname"];
	$RegistrantLastName = $params["lastname"];
	$RegistrantAddress1 = $params["address1"];
	$RegistrantAddress2 = $params["address2"];
	$RegistrantCity = $params["city"];
	$RegistrantStateProvince = $params["state"];
	$RegistrantPostalCode = $params["postcode"];
	$RegistrantCountry = $params["country"];
	$RegistrantEmailAddress = $params["email"];
	$RegistrantPhone = $params["phonenumber"];
	# Admin Details
	$AdminFirstName = $params["adminfirstname"];
	$AdminLastName = $params["adminlastname"];
	$AdminAddress1 = $params["adminaddress1"];
	$AdminAddress2 = $params["adminaddress2"];
	$AdminCity = $params["admincity"];
	$AdminStateProvince = $params["adminstate"];
	$AdminPostalCode = $params["adminpostcode"];
	$AdminCountry = $params["admincountry"];
	$AdminEmailAddress = $params["adminemail"];
	$AdminPhone = $params["adminphonenumber"];
	$irnichandle = $params['additionalfields']['irnichandle'];
	$AdminContactID = $params["AdminContactID"];
	$TechnicalContactID = $params["TechnicalContactID"];
	$BillingContactID = $params["BillingContactID"];
	
	
	
	$postfields["Type"] = "register";
	$postfields["Username"] = $username;
	$postfields["Password"] = $password ;
	$postfields["regperiod"] = $regperiod ;
	$postfields["domain"] = $sld . "." . $tld;
	$postfields["ns1"] = $nameserver1 ;
	$postfields["ns2"] = $nameserver2 ;
	$postfields["ns3"] = $nameserver3 ;
	$postfields["ns4"] = $nameserver4 ;
	$postfields["irnichandle"] = $irnichandle ;
	$postfields["AdminContactID"] = $AdminContactID;
	$postfields["TechnicalContactID"] = $TechnicalContactID ;
	$postfields["BillingContactID"] = $BillingContactID ;
	$url = "http://www.parsaserver.ir/cp/index.php?m=registerdm";
	$options = array( 'CURLOPT_TIMEOUT' => '60');
	$response = curlCall($url,$postfields,$options);
	preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $response, $matches);
    $results = array();
    foreach ($matches[1] AS $k=>$v) {
    $results[$v] = $matches[2][$k];}
	if($results["status"]=="Invalid"){
		$values["error"] = $results["message"];
	}
			
	return $values;
}

function parsaserver_TransferDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	$transfersecret = $params["transfersecret"];
	$nameserver1 = $params["ns1"];
	$nameserver2 = $params["ns2"];
	$nameserver3 = $params["ns3"];
    $nameserver4 = $params["ns4"];
	$irnichandle = $params['additionalfields']['irnichandle'];
	$AdminContactID = $params["AdminContactID"];
	$TechnicalContactID = $params["TechnicalContactID"];
	$BillingContactID = $params["BillingContactID"];
	
	$postfields["Type"] = "Transfer";
	$postfields["Username"] = $username;
	$postfields["Password"] = $password ;
	$postfields["regperiod"] = $regperiod ;
	$postfields["domain"] = $sld . "." . $tld;
	$postfields["ns1"] = $nameserver1 ;
	$postfields["ns2"] = $nameserver2 ;
	$postfields["ns3"] = $nameserver3 ;
	$postfields["ns4"] = $nameserver4 ;
	$postfields["irnichandle"] = $irnichandle ;
	$postfields["AdminContactID"] = $AdminContactID;
	$postfields["TechnicalContactID"] = $TechnicalContactID ;
	$postfields["BillingContactID"] = $BillingContactID ;
	$url = "http://www.parsaserver.ir/cp/index.php?m=registerdm";
	$response = curlCall($url,$postfields);
	preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $response, $matches);
    $results = array();
    foreach ($matches[1] AS $k=>$v) {
    $results[$v] = $matches[2][$k];}
	if($results["status"]=="Invalid"){
		$values["error"] = $results["message"];
	}

	return $values;
}

function parsaserver_RenewDomain($params) {
	$username = $params["Username"];
	$password = $params["Password"];
	$testmode = $params["TestMode"];
	$tld = $params["tld"];
	$sld = $params["sld"];
	$regperiod = $params["regperiod"];
	
	$postfields["Type"] = "Renew";
	$postfields["Username"] = $username;
	$postfields["Password"] = $password ;
	$postfields["regperiod"] = $regperiod ;
	$postfields["domain"] = $sld . "." . $tld;
	$url = "http://www.parsaserver.ir/cp/index.php?m=registerdm";
	$response = curlCall($url,$postfields);
	preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $response, $matches);
    $results = array();
    foreach ($matches[1] AS $k=>$v) {
    $results[$v] = $matches[2][$k];}
	if($results["status"]=="Invalid"){
		$values["error"] = $results["message"];
	}
	
	$values["error"] = $error;
	return $values;
	
}

function parsaserver_Sync($params) {

	$username = $params["Username"];
	$password = $params["Password"];
	
	$postfields["Type"] = "Sync";
	$postfields["Username"] = $username;
	$postfields["Password"] = $password ;
	$postfields["domain"] = $params['domain'];
	$url = "http://www.parsaserver.ir/cp/index.php?m=registerdm";
	$response = curlCall($url,$postfields);
	preg_match_all('/<(.*?)>([^<]+)<\/\\1>/i', $response, $matches);
    $results = array();
    foreach ($matches[1] AS $k=>$v) {
    $results[$v] = $matches[2][$k];}
	$values = array(); 
	if($results["expirydate"]=="Active"){
		$values['active'] = true; 
	}
	$values['expired'] = false;
	
	$values['expirydate'] = $results["expirydate"];
	return $values; 

}


?>